## gnome-shell-extension-sound-device-chooser 38

=== Makefile ===
INSTALL_DIR=~/.local/share/gnome-shell/extensions

all: build install

build:
	# ./update-and-compile-translations.sh
	glib-compile-schemas ./sound-output-device-chooser@kgshank.net/schemas

install:
	@echo "Installing extension files in $(INSTALL_DIR)/sound-output-device-chooser@kgshank.net"
	cp -r sound-output-device-chooser@kgshank.net  $(INSTALL_DIR)

=== debian/changelog ===
gnome-shell-extension-sound-device-chooser (38-3) unstable; urgency=medium

  * debian/control: adjusted gnome-shell versions in Depends field in package
    stanza.
  * debian/patches/020_support-gnome-41.patch: added as a temporary fix until
    next upstream release. (Closes: #996070)
  * debian/upstream/metadata: removed unknown Homepage field.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 17 Oct 2021 10:50:31 -0300

gnome-shell-extension-sound-device-chooser (38-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Bumped Standards-Version to 4.6.0.
      - Changed my email in Maintainer field.
  * debian/copyright: changed my email in packaging block.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 18 Aug 2021 09:10:56 -0300

gnome-shell-extension-sound-device-chooser (38-1) experimental; urgency=medium

  * Initial release. (Closes: #810222)

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Wed, 31 Mar 2021 19:08:14 -0300

=== debian/control ===
Source: gnome-shell-extension-sound-device-chooser
Section: gnome
Priority: optional
Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://extensions.gnome.org/extension/906/sound-output-device-chooser/
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-sound-device-chooser
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-sound-device-chooser.git
Rules-Requires-Root: no

Package: gnome-shell-extension-sound-device-chooser
Architecture: all
Depends: ${misc:Depends},
         gnome-shell (>=3.32),
         gnome-shell (<< 42~),
         python3
Description: sound output device chooser extension for GNOME Shell
 Simple selector to enabled selection of sound source and sink based on GNOME
 Control Center.
 .
 Sound output device chooser shows a list of sound output devices (similar
 to the GNOME sound settings) in the status menu below the volume slider.
 .
 It lets you select the active device and output port (HDMI, Speakers etc).

## gnome-shell-extension-sound-device-chooser 39

=== Makefile ===
INSTALL_DIR=~/.local/share/gnome-shell/extensions
SRC_DIR=sound-output-device-chooser@kgshank.net
LOCALE_SRC=$(shell find $(SRC_DIR) -regextype posix-extended -regex '.*\.(js|glade)' 2> /dev/null)
LOCALE_DIR=$(SRC_DIR)/locale
POT_FILE=$(SRC_DIR)/sound-output-device-chooser.pot
PO_FILES=$(wildcard $(LOCALE_DIR)/*/LC_MESSAGES/*.po)
MO_FILES=$(PO_FILES:.po=.mo)

.PHONY: all
all: build install

.PHONY: build
build: $(MO_FILES)
	glib-compile-schemas $(SRC_DIR)/schemas

.PHONY: potfile
potfile:
	make $(POT_FILE)

.PHONY: mergepo
mergepo: $(POT_FILE)
	@for po in $(PO_FILES); \
	do \
		msgmerge --add-location --backup=none --sort-output --update $${po} $(POT_FILE); \
	done;

$(POT_FILE): $(LOCALE_SRC)
	@xgettext \
	--add-comments='Translators:' \
	--add-location \
	--from-code=utf-8 \
	--keyword \
	--keyword=_ \
	--keyword=D_:2 \
	--keyword=DC_:2 \
	--keyword=DN_:2,3 \
	--keyword=DP_:2c,3 \
	--keyword=N_:1,2 \
	--keyword=P_:1c,2 \
	--output=$@ \
	--package-name=sound-output-device-chooser \
	--sort-output \
	$^

$(LOCALE_DIR)/%/LC_MESSAGES/sound-output-device-chooser.mo: $(LOCALE_DIR)/%/LC_MESSAGES/sound-output-device-chooser.po
	msgfmt --check --output-file=$@ $<

.PHONY: install
install:
	@echo "Installing extension files in $(INSTALL_DIR)/sound-output-device-chooser@kgshank.net"
	mkdir -p $(INSTALL_DIR)
	cp -r sound-output-device-chooser@kgshank.net  $(INSTALL_DIR)

=== debian/changelog ===
gnome-shell-extension-sound-device-chooser (39-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: added gettext and libglib2.0-bin to Build-Depends field in
    source stanza to build translation files.
  * debian/patches:
      - 010_fix-pyhton-interpreter.patch: refreshed.
      - 020_support-gnome-41.patch: removed, no longer needed.
      - series: updated.
  * debian/rules:
      - Added override_dh_auto_clean to clean .mo files after build.
      - Removed override_dh_auto_build, no longer needed.
      - Removed override_dh_auto_install, no longer needed.
      - Updated override_dh_install to not include unnecessary files in the
        package.
  * debian/watch: updated filenamemangle regex.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 02 Dec 2021 11:02:34 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13),
+               gettext,
+               libglib2.0-bin
 Standards-Version: 4.6.0
 Homepage: https://extensions.gnome.org/extension/906/sound-output-device-chooser/
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-sound-device-chooser

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	find sound-output-device-chooser@kgshank.net/locale -name '*.mo' -delete
	dh_auto_clean

override_dh_install:
	dh_install
	find debian/gnome-shell-extension-sound-device-chooser/usr/share/gnome-shell/extensions/sound-output-device-chooser@kgshank.net/locale -name '*.po' -delete
	rm -f debian/gnome-shell-extension-sound-device-chooser/usr/share/gnome-shell/extensions/sound-output-device-chooser@kgshank.net/license

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/gnome-shell-extension-sound-device-chooser/usr/share/gnome-shell/extensions/sound-output-device-chooser@kgshank.net/ui/prefs-dialog.glade

## gnome-shell-extension-sound-device-chooser 43

=== debian/changelog ===
gnome-shell-extension-sound-device-chooser (43-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/020_fix-fr-translation-build.patch: added to fix French
    translation build.
  * debian/rules: updated to remove trash left behind.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 25 Apr 2022 10:32:58 -0300

gnome-shell-extension-sound-device-chooser (42-1) unstable; urgency=medium

  * New upstream release. (Closes: #1008556)
  * debian/control: adjusted gnome-shell versions in Depends field in package
    stanza.
  * debian/copyright: updated years.
  * debian/salsa-ci.yml: use Debian recipe for salsa CI.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 11 Apr 2022 09:00:42 -0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>=3.32),
-         gnome-shell (<< 42~),
+         gnome-shell (<< 43~),
          python3
 Description: sound output device chooser extension for GNOME Shell
  Simple selector to enabled selection of sound source and sink based on GNOME

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	dh_install
 	find debian/gnome-shell-extension-sound-device-chooser/usr/share/gnome-shell/extensions/sound-output-device-chooser@kgshank.net/locale -name '*.po' -delete
 	rm -f debian/gnome-shell-extension-sound-device-chooser/usr/share/gnome-shell/extensions/sound-output-device-chooser@kgshank.net/license
+	rm -rf sound-output-device-chooser@kgshank.net/locale/fr/LC_MESSAGES
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gnome-shell-extension-sound-device-chooser-$1.tar.gz%" \
https://github.com/kgshank/gse-sound-output-device-chooser/tags .*/v?(\d{2})\.tar\.gz
